# QToolBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QFrame.

### Constructor

- void QToolBox(QWidget parent, WindowFlags f)

### Constructor Properties

- prototype: The QToolBox prototype object

### Prototype Object Properties

The QToolBox prototype object inherits properties from the QFrame prototype object and also has the following properties.

- int addItem(QWidget widget, QIcon icon, String text)
- QWidget currentWidget()
- int indexOf(QWidget widget)
- int insertItem(int index, QWidget widget, QIcon icon, String text)
- bool isItemEnabled(int index)
- QIcon itemIcon(int index)
- String itemText(int index)
- String itemToolTip(int index)
- void removeItem(int index)
- void setItemEnabled(int index, bool enabled)
- void setItemIcon(int index, QIcon icon)
- void setItemText(int index, String text)
- void setItemToolTip(int index, String toolTip)
- QWidget widget(int index)

### Instance Properties

QToolBox objects inherit properties from the QToolBox prototype object and also have the following properties.

- currentIndex
- count